%global _empty_manifest_terminate_build 0
%global __requires_exclude flake8
Name:           python-hacking
Version:        6.1.0
Release:        1
Summary:        OpenStack Hacking Guideline Enforcement
License:        Apache-2.0
URL:            https://docs.openstack.org/hacking/latest/
Source0:        https://files.pythonhosted.org/packages/67/d2/4242077e224b8c30f89e529e3649755c30448caa3dab7e4246b6afe03baa/hacking-6.1.0.tar.gz
Patch1:         0001-modify-the-version-restrict-to-gt.patch
BuildArch:      noarch
%description
hacking is a set of flake8 plugins that test and enforce the
`OpenStack StyleGuide <https://docs.openstack.org/hacking/latest/user/hacking.html#styleguide>`_
Hacking pins its dependencies, as a new release of some dependency can break
hacking based gating jobs. This is because new versions of dependencies can
introduce new rules, or make existing rules stricter.

%package -n python3-hacking
Summary:        OpenStack Hacking Guideline Enforcement
Provides:       python-hacking
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-hatchling
# General requires
BuildRequires:  python3-flake8
BuildRequires:  python3-flake8-docstrings
# General requires
Requires:       python3-flake8
Requires:       python3-flake8-docstrings
%description -n python3-hacking
hacking is a set of flake8 plugins that test and enforce the
`OpenStack StyleGuide <https://docs.openstack.org/hacking/latest/user/hacking.html#styleguide>`_
Hacking pins its dependencies, as a new release of some dependency can break
hacking based gating jobs. This is because new versions of dependencies can
introduce new rules, or make existing rules stricter.

%package help
Summary:        OpenStack Hacking Guideline Enforcement
Provides:       python3-hacking-doc
%description help
hacking is a set of flake8 plugins that test and enforce the
`OpenStack StyleGuide <https://docs.openstack.org/hacking/latest/user/hacking.html#styleguide>`_
Hacking pins its dependencies, as a new release of some dependency can break
hacking based gating jobs. This is because new versions of dependencies can
introduce new rules, or make existing rules stricter.

%prep
%autosetup -p1 -n hacking-%{version}

%build
%pyproject_build

%install
%pyproject_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/doclist.lst .

%files -n python3-hacking
%doc README.rst AUTHORS ChangeLog CONTRIBUTING.rst HACKING.rst
%license LICENSE
%{python3_sitelib}/hacking
%{python3_sitelib}/hacking*.dist-info/

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Mar 29 2024 wangqiang <wangqiang1@kylinos.cn> - 6.1.0-1
- Update package to version 6.1.0

* Sat Jul 8 2023 Dongxing Wang <dxwangk@isoftstone.com> - 6.0.1-1
- Upgrade to version 6.0.1

* Mon Jul 26 2021 wangxiyuan<wangxiyuan1007@gmail.com> - 4.0.0-4
- Correct requires position in spec

* Thu Jul 22 2021 openstack-sig <openstack@openeuler.org>
- Remove requirements

* Sat Jan 30 2021 zhangy <zhangy1317@foxmail.com>
- Add buildrequires

* Fri Nov 20 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
